Create a new PayByTextCampaign.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
required

This parameter indicates which Account owns the collections and resources reference by the request.

As a convenience, the slug me may be used in place of the account_id in any URL where it is
required. When me is used it will be replaced with the account_id of the current User.

Body Params

Success

Create a PayByTextCampaign.

integer | null

A positive integer representing how much to discount in the smallest currency
unit (e.g., 100 cents to discount $1.00 or 100 to discount ¥100, a zero-decimal currency).

For example, if the Product referenced by product_id has a price in the amount of 2000 (i.e. $20.00)
and discount_amount has a value of 200 then a discount line-item will be added to the
Checkout/Order in the amount of -200 (i.e. negative $2.00).

Note: only provide discount_amount when not using discount_percent.

number | null

A floating point number between 0.0 and 1.0 indicating the discount percent.

For example, if the Product referenced by product_id has a price in the amount of 2000 (i.e. $20.00)
and discount_percent has a value of 0.1 (i.e. 10%), then a discount line-item will be
added to the Checkout/Order with an amount of -200 (i.e. negative $2.00).

Note: only provide discount_percent when not using discount_amount.

Note: This field is not currently active, prefer discount_amount for now.

integer

An integer representing the number of seconds the campaign is expected to be active before the expires_at date/time. For example, if the duration value is 3600 and the expires_at value is 2021-03-31T20:15:00Z, the campaign should be active from 2021-03-31T19:15:00Z to 2021-03-31T20:15:00Z. This field is used to preserve the original input from the user and as a sanity check to ensure there is enough time to execute the campaign.

string | null
required

An ISO 8601 format date and time indicating when this campaign offer expires.

string
required

The main text of the campaign message.

string
required

A unique name for this campaign

uuid
required

The unique identifier of the product this campaign is selling.

string | null

An ISO 8601 format date and time string indicating when this campaign was changed from draft mode
to published mode.

If this field is DEPRECATED and should no longer be used.

recipient_ids
array of uuids
Defaults to

A list of audience_membership_ids that should receive this campaign message.

recipient_ids
uuid | null

The unique ID of the audience segment that should receive this campaign message.

boolean

Indicates the campaign should start sending as soon as possible when true. Note: published_at must also be set before send_as_soon_as_possible becomes active.

string | null
required

An ISO 8601 format date and time indicating when this campaign should start sending.

boolean
Defaults to true

A boolean indicating if this campaign should be sent to all audience_memberships.

string

A text field indicating a valid timezone. See https://en.wikipedia.org/wiki/List_of_tz_database_time_zones for a list of valid timezones.

string | null

A unique url-safe string for this campaign. If not provided we will attempt to convert the name field into a kebab-case slug for this campaign.

Response

Callback
Language
Credentials
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json